
SCM Creator (+Github) - Feature #1688

Subversion URL on project overview page

25 Mar 2011 19:36 - Andriy Lesyuk

Status: Won't Fix Start date: 25 Mar 2011

Priority: Minor Due date: 02 May 2011

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.1.0   

External issue:    

Description

Maybe it is a good idea to add "Subversion" field to project overview page (below description, where home page is shown)? For this

another property should be added to subversion.yml file:

webpath: svn - path which will be used for generation URL instead of e.g. /var/lib/svn

This URL can be generated this way: Redmine.host + '/' + webpath + '/' + repository.

This feature would advice what URL has created repository.

History

#1 - 26 Mar 2011 01:14 - Andriy Lesyuk

- Priority changed from Normal to Minor

#2 - 31 Mar 2011 13:26 - Andriy Lesyuk

Something similar:

http://dev.holgerjust.de/projects/redmine-checkout/wiki

http://www.redmine.org/issues/232

#3 - 19 Apr 2011 13:23 - Andriy Lesyuk

- Status changed from Incomplete to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.1.0

Maybe host can be different as well... Than another property should be added:

host: "http://svn.andriylesyuk.com" 

#4 - 02 May 2011 21:36 - Andriy Lesyuk

- Status changed from Open to Incomplete

Why not adding such custom field?..

What if author does not want to place address on the overview page?..
#5 - 02 May 2011 23:09 - Andriy Lesyuk

- Due date set to 02 May 2011

- Status changed from Incomplete to Won't Fix

If the plugin will place repository URL onto overview page there should also be a way to disable this... So dropping the task. Will use custom field

instead.
